<template>
    <div class="flex items-center justify-between flex-wrap bg-gray-700 p-4">
        <div class="flex items-center flex-shrink-0 text-white mr-6">
            <a class="font-semibold text-xl tracking-tight" href="/">Vox People</a>
        </div>
        <div class="block md:hidden">
            <button class="flex items-center px-3 py-2 border rounded text-gray-200 border-gray-400 hover:text-white hover:border-white" v-on:click="toogleRest()">
                <svg class="fill-current h-3 w-3" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"><title>Menu</title><path d="M0 3h20v2H0V3zm0 6h20v2H0V9zm0 6h20v2H0v-2z"/></svg>
            </button>
        </div>
        <div class="w-full block flex-grow md:flex md:items-center md:w-auto" v-bind:class="{'hidden': hidden}">
            <div class="text-sm md:flex-grow">
                <slot></slot>
            </div>
            <slot name="actions"></slot>
        </div>
    </div>
</template>
<script>
export default {
    name: "WeeNav",
    props: {
        name: String,
        id:   Number,
    },
    data: function(){
        return {
            hidden: true
        };
    },
    methods: {
        toogleRest(){
            this.hidden = !this.hidden;
        }
    },
    computed:{

    }
}
</script>
<style scoped>

</style>
